Description

Hi,

we're currently on the way to install redmine on an IIS with Microsoft SQL Server.

The normal Installation worked, even the db connection to our SQL Server.

But we Encounter some strange behaviour if we try to migrate plugins.

The normal migration worked, but the plugin migration reclaims the missing database Adapter. But it's the same configuration as with

the normal db:migrate command.

The same error occures even if the plugin directory is empty (so no plugins will be migrated).

Can you confirm this behaviour? If this bug is confirmed, it should be fixed bevor redmine 2.3 will be released.

Commandline log:

Set RAILS_ENV=production

rake redmine:plugins:migrate --trace

** Invoke redmine:plugins:migrate (first_time)

** Invoke environment (first_time)

** Execute environment

rake aborted!

database configuration does not specify Adapter

<pre>

History

#1 - 2013-03-13 11:52 - Daniel Felix

- Description updated

#2 - 2013-03-13 13:26 - fer sjs

Set RAILS_ENV=prodcution

prodcution ?????

#3 - 2013-03-13 20:43 - Daniel Felix

- Description updated

No Panic. This was handtyped above the Output.

I corrected it in the log.

And if I misstyped, the db:migration wouldn't work either. ;-)

#4 - 2013-03-17 13:52 - Jean-Philippe Lang

Works fine for me with the following database configuration:

development:

  adapter: sqlserver

  host: 192.168.0.70

  port: 1433
  database: redmine_development

  username: jenkins

  password: jenkins

 What's yours?

#5 - 2013-03-17 14:39 - Daniel Felix

This is our configuration (pw and username changed).

production:

#  adapter: sqlite3

#  database: db/test.sqlite3

#  host: localhost

#  username: root

#  password:

#  encoding: utf8

  adapter: sqlserver

  database: redmine

  host: localhost

  port: 11433

  username: OurUsername

  password: OurPassword

development:

  adapter: sqlserver

  database: redmine_development

  host: localhost

  port: 11433

  username: OurUsername

  password: OurPassword

 The port is changed in our server. So this is no misstyping.

#6 - 2013-03-19 22:07 - Jean-Philippe Lang

- Target version changed from 2.3.0 to 2.3.1

#7 - 2013-05-01 15:16 - Jean-Philippe Lang

- Target version changed from 2.3.1 to Candidate for next minor release

Still not able to reproduce.

#8 - 2013-06-22 21:34 - Daniel Felix

- Status changed from New to Closed

- Resolution set to Cant reproduce

This issue has been resolved. I can't point it to something special.

I used the latest trunk after implementations of the gemfile parser and the sql server support.

This was the point, where everything broke together regarding plugin migrations.

The next step was the migration to 2.3 and later 2.3.1. Both failed on plugin migrations.

I currently use the trunk version of Redmine and tada... everything works. I can't break it down to a special change which could describe why this

work right now.

I'm closing this issue. Thanks for your support.

#9 - 2013-06-26 05:32 - Jeff Pierson

Will these changes from the trunk that Daniel Felix mentioned be included in 2.3.2 or is that already branched prior to the changes? If there is a wiki

or something similar that specifies the branching policy used by Redmine with regard to releases that may also answer the question for me and

perhaps allow me to assist in pinpointing the revision in which this issue was fixed.

#10 - 2013-06-28 08:57 - Daniel Felix

As I mentioned, these changes must happened between trunk (pre 2.3.0) and trunk (pre 2.3.2) (not sure which revisions where loaded by our

administration).

The other thing were many changes to the server and ruby interpreter itself.

Maybe these changes where already included in 2.3.0. I haven't tested 2.3.0 on SQL Server.
#11 - 2013-07-18 10:13 - Jan Niggemann (redmine.org team member)

- Target version deleted (Candidate for next minor release)
